# services/veles/serviceaccounts.yaml
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-backend
  namespace: veles
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-frontend
  namespace: veles
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-postgres
  namespace: veles
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-retention
  namespace: veles
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-vault-sync
  namespace: veles
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-secrets-ensure
  namespace: veles
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: veles-sim
  namespace: veles
automountServiceAccountToken: false
imagePullSecrets:
  - name: harbor-regcred
